<?php
/**
* © Copyright 2012 IntraHealth International, Inc.
* 
* This File is part of I2CE 
* 
* I2CE is free software; you can redistribute it and/or modify 
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License 
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
* @package retain
* @subpackage cadre
* @author Carl Leitner <litlfred@ibiblio.org>
* @version v1.2
* @since v1.2
* @filesource 
*/ 
/** 
* Class iHRIS_CadreSelection
* 
* @access public
*/


class iHRIS_CadreSelection extends I2CE_Form{

    protected $set_limits = false;
    public function setCadreLimits() {
        if ($this->set_limits) {
            return;
        }
        if (! ($cadreField = $this->getField('pool')) instanceof I2CE_FormField_MAP) {
            I2CE::raiseError("could not get cadre field");
            return array();
        }
        $where =
            array(
                'field'=>'parent',
                'operator'=>'FIELD_LIMIT',
                'style'=>'equals',
                'data'=>array(
                    'value'=>$this->getParent()
                    )
            );
        //
        $limit_add = array('pool'=>$where);
        $cadreField->setOption(array('meta','enable_limits_add','retain'),1);
        $cadreField->setOption(array('meta','limits_add','retain'), $limit_add);
        $this->set_limits = true;
    }


    public function setParent( $parent, $set_id = false ) {
        parent::setParent($parent,$set_id);
        $this->setCadreLimits();
    }




}
# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
