<?php
/*
 * © Copyright 2008 IntraHealth International, Inc.
 * 
 * This File is part of iHRIS
 * 
 * iHRIS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Manage adding or editing financial forms associated with a projection to the database.
 * 
 * @package iHRIS
 * @subpackage Plan
 * @access public
 * @author Luke Duncan <lduncan@intrahealth.org>
 * @copyright Copyright &copy; 2008 IntraHealth International, Inc. 
 * @since v3.1.0
 * @version v3.1.0
 */

/**
 * Page object to handle the adding or editing financial forms associated with a projection to the database.
 * 
 * @package iHRIS
 * @subpackage Plan
 * @access public
 */
class iHRIS_PageFormScenarioGroup extends iHRIS_PageFormParentProjection {
        

    protected function setupGetPost($get = null,$post=null, $strip = true) {
        parent::setupGetPost($get,$post,$strip);
        if (array_key_exists('scenariogroup',$this->get) && array_key_exists('id',$this->get) && $this->get['id']) {
            $this->get['parent'] = $this->get['id'];
            if ($this->get['scenariogroup']) {
                $this->get['id'] = 'scenariogroup|' . $this->get['scenariogroup'];
            } else {
                unset($this->get['id']);
            }
        }
    }

    /**
     * Save the objects to the database.
     * 
     * Save the default object being edited and return to the view page.
     * @global array
     */
    protected function save() {
        parent::save();
        if ($this->request('submit_type') == 'save') {
            $this->setRedirect(  "view?id=" . $this->getPrimary()->getParent() .'&tab=scenario');
        }
    }
                


            
}


# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
