<?php
/*
 * © Copyright 2008 IntraHealth International, Inc.
 * 
 * This File is part of iHRIS
 * 
 * iHRIS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Search for a projection
 * @package iHRIS
 * @subpackage Plan
 * @access public
 * @author Luke Duncan <lduncan@intrahealth.org>
 * @copyright Copyright &copy; 2008 IntraHealth International, Inc. 
 * @since v3.1.0
 * @version v3.1.0
 */

/**
 * The page class for searching for a projection.
 * @package iHRIS
 * @subpackage Plan
 * @access public
 */
class iHRIS_PageSearch extends I2CE_Page {

    /**
     * @var I2CE_Form The search object for this page to display the form.
     */
    private $search;

    /**
     * Load the HTML template files for editing and confirming the index and demographic information.
     */
    protected function loadHTMLTemplates() {
        parent::loadHTMLTemplates();
    }
        
    /**
     * Perform the main actions of the page.
     */
    protected function action() {
        $projection = array();        
        if ($this->user->username() == 'i2ce_admin') { 
            $wheres =array(
                'creator'=>
                array(
                    'field'=>'creator',
                    'operator'=>'FIELD_LIMIT',
                    'style'=>'equals',
                    'data'=>array(
                        'value'=>'user|' . $this->user->username()
                        )
                    ),
                'access'=>null
                );
        }else {
            $wheres =array(
                'creator'=>
                array(
                    'field'=>'creator',
                    'operator'=>'FIELD_LIMIT',
                    'style'=>'equals',
                    'data'=>array(
                        'value'=>'user|' . $this->user->username()
                        )
                    ),
                'access'=>
                array(
                    'field'=>'access',
                    'operator'=>'FIELD_LIMIT',
                    'style'=>'in',
                    'data'=>array(
                        'value'=>'user|' . $this->user->username()
                        )
                    )
                );
        }
        foreach ($wheres as $type=>$where) {
            $projections = I2CE_FormStorage::listFields('projection',array('name','description'),false,$where);
            foreach( $projections as $id => $data) {
                if (!is_array($data) || !array_key_exists('name',$data) || !array_key_exists('description',$data)) {
                    continue;
                }
                $row = $this->template->appendFileById( "search_row.html", "li", "search_"  . $type);
                if (!$row instanceof DOMNode) {
                    continue;
                }
                $this->template->setDisplayDataImmediate( "id", "id=projection|" . $id, $row );
                $this->template->setDisplayDataImmediate( "name", $data['name'], $row );
                $this->template->setDisplayDataImmediate( "description", $data['description'], $row );
            }
        }

    }
        
}


# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
