<?php

$forms = array(
    'intervention_A1_develop_recruitment',
    'intervention_A1_edu_support',
    'intervention_A1_management',
    'intervention_A1_other',
    'intervention_A1_recruit',
    'intervention_A1_stipend',
    'intervention_A2_construct',
    'intervention_A2_furnish_dorms',
    'intervention_A2_furnish_health_facility',
    'intervention_A2_furnish_school',
    'intervention_A2_maintenance',
    'intervention_A2_management',
    'intervention_A2_other',
    'intervention_A3_design_plan',
    'intervention_A3_management',
    'intervention_A3_other',
    'intervention_A3_student_support',
    'intervention_A3_training',
    'intervention_A4_develop_curricula',
    'intervention_A4_dissemination',
    'intervention_A4_edu_materials',
    'intervention_A4_other',
    'intervention_A5_new_edu_program',
    'intervention_A5_other',
    'intervention_A5_support_hws',
    'intervention_A5_training_delivery',
    'intervention_B1_design_scope',
    'intervention_B1_other',
    'intervention_B1_prepare_training',
    'intervention_B1_training_delivery',
    'intervention_B1_training_supervisors',
    'intervention_B2_conduct',
    'intervention_B2_consult',
    'intervention_B2_design',
    'intervention_B2_develop',
    'intervention_B2_other',
    'intervention_B2_supervisor',
    'intervention_B2_support',
    'intervention_B3_compliance',
    'intervention_B3_cump',
    'intervention_B3_management',
    'intervention_B3_other',
    'intervention_B3_relocation',
    'intervention_B3_support',
    'intervention_B3_train',
    'intervention_B4_compliance',
    'intervention_B4_design',
    'intervention_B4_management',
    'intervention_B4_other',
    'intervention_B4_tuition',
    'intervention_C1_consultations',
    'intervention_C1_financial_incentives',
    'intervention_C1_other',
    'intervention_D1_electric',
    'intervention_D1_housing',
    'intervention_D1_other',
    'intervention_D1_repair',
    'intervention_D1_school',
    'intervention_D1_telecomm',
    'intervention_D1_water',
    'intervention_D2_medicine',
    'intervention_D2_other',
    'intervention_D2_repair',
    'intervention_D2_routine',
    'intervention_D2_support',
    'intervention_D2_train',
    'intervention_D2_upgrade',
    'intervention_D3_grants',
    'intervention_D3_management',
    'intervention_D3_other',
    'intervention_D3_outreach_support',
    'intervention_D3_rural',
    'intervention_D4_conduct',
    'intervention_D4_consult',
    'intervention_D4_design',
    'intervention_D4_other',
    'intervention_D4_training',
    'intervention_D5_conference',
    'intervention_D5_journal',
    'intervention_D5_networking',
    'intervention_D5_other',
    'intervention_D6_conference',
    'intervention_D6_design',
    'intervention_D6_dis_awards',
    'intervention_D6_health_days',
    'intervention_D6_nat_awards',
    'intervention_D6_other'
    );



$black = "\033[0m";
$red = "\033[31m";

function simple_prompt ($message, $show = null) {
    global $red,$black;
    if ($show != null) {
        $show_message = "/{$red}S{$black}how";
    } else {
        $show_message = '';
    }
    
    $message = trim($message)  . "\n({$red}Y{$black}es/{$red}N{$black}o$show_message): ";
    echo $message;
    $success =false;
    while (true) {
        $c = strtolower(fread(STDIN,1));
        if ($c=== false) {
            echo ("Bad input");
            die();
        }
        switch ($c) {
        case 's':
            if ($show != null) {
                echo $show . "\n" . $message;
            }
            break;
        case 'y':
            return true;
        case 'n':
            return false;
        default:
            break;
        }
    }
    echo "\n";
}
function prompt ($message,&$universal, $show=null) {
    global $red,$black;
    if ($universal === true) {
        return true;
    }
    if ($universal === false) {
        return false;
    }
    $message = trim($message);
    if ($show) {
        echo "$message\n({$red}Y{$black}es/{$red}N{$black}o/{$red}A{$black}lways/ne{$red}V{$black}er/{$red}S{$black}how): ";
    } else {
        echo "$message\n({$red}Y{$black}es/{$red}N{$black}o/{$red}A{$black}lways/ne{$red}V{$black}er): ";
    }
    $success =false;
    while (true) {
        $c = strtolower(fread(STDIN,1));
        if ($c=== false) {
            echo ("Bad input");
            die();
        }
        switch ($c) {
        case 'y':
            return true;
        case 'n':
            return false;
        case 'a':
            $universal = true;
            return true;
        case 'v':
            $universal = false;
            return false;
        case 's':
            if ($show) {
                echo "\n" . $show . "\n";
                echo "$message\n({$red}Y{$black}es/{$red}N{$black}o/{$red}A{$black}lways/ne{$red}V{$black}er): ";
                $show =false;
            }
            break;            
        default:
            break;
        }
    }
    echo "\n";
}



$template = '
<div>
  <div class="editRecord">
    <p>&nbsp;</p>
    <ul>
      <li role="planner"><span type="form" name="{{FORM}}:id" href="{{PAGE}}?redirect=view&amp;id=" >Edit this Information</span></li>
      <li><span href="{{PAGE}}?toggle&amp;id=" type="form" name="{{FORM}}:id" >Enable/Disable</span></li>

    </ul>
  </div> <!-- editRecord -->
  <div class="dataTable">
    <table border="0" cellspacing="0" cellpadding="0">
	<tr>
	  <th colspan="2">{{ACTIVITY}}</th>
	</tr>
	<tr>
	  <td>
           <span type="form" name="{{FORM}}:pool" showhead="default" ></span>
           <span type="form" name="{{FORM}}:enabled" showhead="default" ></span>
           <span type="form" name="{{FORM}}:projected_costs" showhead="default" ></span>
          </td>
        </tr>
    </table>
  </div> <!-- dataTable -->

  <br style="clear: both;" />

</div>';



$skip = null;
foreach ($forms as $form ) {
    $in =  $form . '.html';
    $out = 'view_' . $form . '.html';
    if (!file_exists($in)) {
        echo "Could not find $in\n";
    }
    if (file_exists($out) && prompt("Skip generating $out as it already exists?",$skip)) {
        continue;
    }
    $src = file_get_contents($in);
    //<th colspan="2">Activity:Develop rural recruitment plan <span title="Input any activity costs to be paid during the duration of implementing the intervention; recurrent costs" class="fieldhelp">(?)</span></th>
    $matches = null;
    if (! preg_match('/Activity\s*:\s*(.*?)</',$src,$matches)) {
        echo "No activity found in $in\n";
        continue;
    }
    $activity = $matches[1];
    $matches = null;
    if (! preg_match('/<h2>(.*?)<\\/h2>/',$src,$matches)) {
        echo "No intervention found in $in\n";
        continue;
    }
    $intervention = $matches[1];
    
    //page: interventionA1develop_recruitment
    $page = 
    $html = $template;
    $replacements = array(
        'FORM' => $form,
        'PAGE'=>preg_replace('/_/','',$form, 2),
        'ACTIVITY'=>$intervention . ' - <i>' . $activity . '</i>'
        );
        

    foreach ($replacements as $key=>$val) {
        $html = preg_replace('/{{' . $key . '}}/',$val,$html);
    }
    file_put_contents($out, $html);
    
}